/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.provider.interfaces.action;

import java.util.List;

import org.opengroup.osdu.register.action.model.Action;

public interface IActionRepo {

    String NAMESPACE = "DE";
    String KIND = "ACTION";
    String NAME = "name";
    String CREATED_ON = "createdOn";
    String CONTACT_EMAIL = "contactEmail";
    String DESCRIPTION = "description";
    String URL = "url";
    String IMG = "img";
    String TYPE = "type";
    String SOURCE = "source";
    String VERSION = "version";
    String CHECKSUM = "checkSum";

    List<Action> getAllActions();

    Action createAction(Action action);

    boolean delete(String id);

    Action get(String id);
}
