package org.opengroup.osdu.register.utils;

import org.opengroup.osdu.core.common.entitlements.EntitlementsAPIConfig;
import org.opengroup.osdu.core.common.entitlements.EntitlementsFactory;
import org.opengroup.osdu.core.common.entitlements.IEntitlementsFactory;
import org.opengroup.osdu.core.common.http.json.HttpResponseBodyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.AbstractFactoryBean;
import org.springframework.stereotype.Component;

@Component
public class EntitlementsClientFactory extends AbstractFactoryBean<IEntitlementsFactory> {

    @Autowired
    private AppServiceConfig serviceConfig;
    @Autowired
    private HttpResponseBodyMapper responseBodyMapper;

    @Override
    protected IEntitlementsFactory createInstance() {

        return new EntitlementsFactory(EntitlementsAPIConfig
                .builder()
                .rootUrl(this.serviceConfig.getEntitlementsApi())
                .build(), responseBodyMapper);
    }

    @Override
    public Class<?> getObjectType() {
        return IEntitlementsFactory.class;
    }
}