package org.opengroup.osdu.register.utils;

import org.opengroup.osdu.core.common.http.HttpClient;
import org.springframework.beans.factory.FactoryBean;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_SINGLETON)
public class HttpClientProvider implements FactoryBean<HttpClient> {
    private HttpClient httpClient;

    @Override
    public HttpClient getObject() {
        if (httpClient == null) {
            httpClient = new HttpClient();
        }
        return httpClient;    }

    @Override
    public Class<?> getObjectType() {
        return HttpClient.class;
    }
}