/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.action.model;

import org.junit.Test;

import static org.junit.Assert.assertEquals;

import java.sql.Timestamp;
import java.time.Instant;

public class ActionTest {
    @Test
    public void should_mapCreateDtoValues_intoAtionOnCreation() throws Exception{
        CreateActionDto dto = new CreateActionDto();
        dto.setDescription("desc");
        dto.setName("name");
        dto.setId("id");
        dto.setImg("img");
        dto.setUrl("url");
        dto.setContactEmail("ash");
        dto.getFilter().getSource().add("s");
        dto.getFilter().getVersion().add("v");
        dto.getFilter().getEntityType().add("e");

        Action sut = new Action(dto);

        assertEquals(dto.getDescription(), sut.getDescription());
        assertEquals(dto.getFilter(), sut.getFilter());
        assertEquals(dto.getId(), sut.getId());
        assertEquals(dto.getImg(), sut.getImg());
        assertEquals(dto.getName(), sut.getName());
        assertEquals(dto.getUrl(), sut.getUrl());
        assertEquals("ash", sut.getContactEmail());
        Thread.sleep(1);
        assertEquals(-1, sut.getCreatedOnEpoch().compareTo(Timestamp.from(Instant.now())));
    }
}
