/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.subscriber.persistence;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertNotNull;

public class TopicRepositoryTest {

    @Test
    public void should_returnAllMessagesFromFile() {
        TopicsRepository sut = new TopicsRepository();
        assertEquals(1, sut.listMessages().size());
        assertEquals("records-changed", sut.listMessages().get(0).getName());
        assertEquals("This notification is sent whenever a new record or record version is created, updated or deleted, and when a new schema is created in storage.", sut.listMessages().get(0).getDescription());
        assertEquals("ACTIVE", sut.listMessages().get(0).getState());
        assertNotNull(sut.listMessages().get(0).getExample());
    }
}
