/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.ddms;

import com.sun.jersey.api.client.ClientResponse;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.opengroup.osdu.register.util.GCPTestUtils;
import org.opengroup.osdu.register.util.RestDescriptor;

import static org.junit.Assert.assertEquals;

public class TestGetConsumptionByIdApi extends GetConsumptionByIdApiTest {


    @Before
    @Override
    public void setup() {
        this.testUtils = new GCPTestUtils();
    }

    @Test
    public void should_return20X_when_retrievingExistingResource_RegressionTest() throws Exception {
        new DeleteDdmsDescriptor().run(getRegressionId(), testUtils.getOpsAccessToken());

        new CreateDdmsDescriptor().run(getRegressionId(), testUtils.getOpsAccessToken());
        ClientResponse response = descriptor.run(getRegressionId(), testUtils.getOpsAccessToken());
        assertEquals(error(""), expectedOkResponseCode(), response.getStatus());
        validate20XResponse(response, descriptor);

        new DeleteDdmsDescriptor().run(getRegressionId(), testUtils.getOpsAccessToken());
    }



    @After
    @Override
    public void tearDown() throws Exception {
        this.testUtils = null;
    }
}
